﻿Type=Service
Version=7.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim Socket1 As Socket
	Dim AStreams As AsyncStreams
	Dim ServiceStarted As Boolean : ServiceStarted = False
	Dim Notification1 As Notification
	Dim CurrentActivity As Object
	Dim Connected As Boolean
	Dim Sending As Boolean
End Sub

Sub Service_Create
	'Socket1.Initialize("Socket1")
	'Notification1.Icon = "icon"
	'Notification1.Notify(1)
	'Notification1.Sound = False
	Notification1.Initialize
	Connected = False
	Sending = False
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StartForeground(1, Notification1)
	ServiceStarted = True
	Socket1.Initialize("Socket1")
	Socket1.Connect("192.168.0.10", 35000, 10000)
	If AStreams.IsInitialized = False Then Return
	  'Log("31s ")
	Dim Bytebuffer() As Byte
	Dim data As String
	'data = "ATE0" & CRLF
	data = "ATE0" & Chr(13)
	Bytebuffer = data.GetBytes("UTF8")
	AStreams.Write(Bytebuffer)
End Sub

Sub Service_Destroy
	  'Log("40s ")
	AStreams.Close
	Socket1.Close
	Service.StopForeground( 1 )
End Sub

Sub Socket1_Connected (Successful As Boolean)
	Dim s As String					: s = "Error"
	If Successful Then
		  'Log("47s ")
		ToastMessageShow("Connected!", False)
		s = "Connected!"
		'AStreams.InitializePrefix(Socket1.InputStream, False, Socket1.OutputStream, "AStreams")
		AStreams.Initialize(Socket1.InputStream, Socket1.OutputStream, "AStreams")
	Else
		  'Log("52s error ")
		ToastMessageShow("Error while connecting!", False)
	End If
	CallSub2(CurrentActivity, "Vlink_status", s)
	End Sub

Sub AStreams_NewData (Buffer() As Byte)
	Dim msg As String
	msg = BytesToString(Buffer, 0, Buffer.Length, "UTF8")
	Log(msg )
	CallSub2(CurrentActivity, "Vlink_NewData", msg )
End Sub

Sub AStreams_Error
	ToastMessageShow(LastException.Message, False)
	Log("66s AStreams Error " & LastException.Message)
	CallSub2(CurrentActivity, "Vlink_status", "error")
End Sub

Sub Activity_Pause(UserClosed As Boolean)
	If UserClosed Then
		  'Log("71s closing")
		AStreams.Close
		Socket1.Close
	End If
End Sub

' ---------------------------- end -----------------------------